// --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
//
//		VBPAGES.CPP
//		VBX Studio 2.0 
//		18-jul-95
//		HEXANET, COPYRIGHT HEXANET 1993-1995, ALL RIGHTS RESERVED
//		EMail: hnet@dialup.francenet.fr / CIS: 100333,27
//		HexaNet SW - BP 385.16 - 75768 PARIS CDX 16 - FRANCE
//
//		You can distribute this file as long as you distribute
//		the full VBX Studio package.
// --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
//		You can use this sample file as you want.
// --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#include "stdafx.h"
#include "resource.h"
#include "vbxdemo.h"
#include "vbpages.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

LPSTR CustomSpinList[] = { "<Item 1>", "<Item 2>", "<Item 3>" };

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// CDlgVBList dialog


CDlgVBList::CDlgVBList() : CPropertyPage( CDlgVBList::IDD )
{
	//{{AFX_DATA_INIT(CDlgVBList)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CDlgVBList::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgVBList)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

void CDlgVBList::OnHelp()
{
	if ( !bHlpNotHere )
		::WinHelp( m_hWnd, "VBXSTD20.HLP", HELP_KEY, (long)(LPCSTR)"VBList" );
	else
		MessageBox( "VBXSTD20.HLP not in the current directory." );
}


BEGIN_MESSAGE_MAP(CDlgVBList, CPropertyPage)
	//{{AFX_MSG_MAP(CDlgVBList)
	ON_COMMAND(IDHELP, OnHelp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// CDlgVBTabList dialog


CDlgVBTabList::CDlgVBTabList() : CPropertyPage( CDlgVBTabList::IDD )
{
	//{{AFX_DATA_INIT(CDlgVBTabList)
	m_pMainList = NULL;
	//}}AFX_DATA_INIT
}

void CDlgVBTabList::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgVBTabList)
	DDX_VBTabList(pDX, IDC_VBTABLIST1, m_pMainList);
	//}}AFX_DATA_MAP
}

void CDlgVBTabList::OnHelp()
{
	if ( !bHlpNotHere )
		::WinHelp( m_hWnd, "VBXSTD20.HLP", HELP_KEY, (long)(LPCSTR)"VBTabList" );
	else
		MessageBox( "VBXSTD20.HLP not in the current directory." );
}

BOOL CDlgVBTabList::OnInitDialog()
{
	CStr szTest;          
	long lSize1;
	CPropertyPage::OnInitDialog();
	
	szTest = "custom data";
	lSize1 = (long)szTest.GetTextWidth( this );
	
	m_pMainList->TabList( lSize1+10, 0 );
	
	m_pMainList->AddString("custom data\t(first item);1");
    m_pMainList->AddString("bitmapped\t(next item);2");
    m_pMainList->AddString("and so on\t...;3");
    m_pMainList->SetSel2() = 0L;
	UpdateData( FALSE );
		
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}


BEGIN_MESSAGE_MAP(CDlgVBTabList, CPropertyPage)
	//{{AFX_MSG_MAP(CDlgVBTabList)
	ON_COMMAND(IDHELP, OnHelp)
	ON_VBXEVENT(VBN_FILEDROPPED, IDC_VBTABLIST1, OnFiledroppedVbtablist1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// CDlgVBFList dialog


CDlgVBFList::CDlgVBFList() : CPropertyPage( CDlgVBFList::IDD )
{
	//{{AFX_DATA_INIT(CDlgVBFList)
	m_pDrivesList = NULL;
	m_pDirList = NULL;
	m_pFilesList = NULL;
	//}}AFX_DATA_INIT
}

void CDlgVBFList::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgVBFList)
	DDX_VBFCombo(pDX, IDC_VBFCOMBO1, m_pDrivesList);
	DDX_VBFList(pDX, IDC_VBFLIST1, m_pDirList);
	DDX_VBFList(pDX, IDC_VBFLIST2, m_pFilesList);
	//}}AFX_DATA_MAP
}

void CDlgVBFList::OnHelp()
{
	if ( !bHlpNotHere )
		::WinHelp( m_hWnd, "VBXSTD20.HLP", HELP_KEY, (long)(LPCSTR)"VBFList" );
	else
		MessageBox( "VBXSTD20.HLP not in the current directory." );
}

void CDlgVBFList::OnSelchangeVbfcombo1(UINT, int, CWnd*, LPVOID)
{
	// TODO: Add your VBX event notification handler code here
	CString szTemp;
	if ( m_pDrivesList->DriveValid() != 0 )
		{
		m_pDrivesList->GotoDrive() = TRUE;
		szTemp = m_pDrivesList->GetCurDir();
		if ( szTemp.GetLength() < 2 )
			return;
		szTemp = szTemp.Left(szTemp.GetLength()-1);
		m_pDirList->InValue() = szTemp;
		szTemp += "\\*.*";
		m_pFilesList->InValue() = szTemp;
		}
	else
		{
		szTemp = "Drive not ready!";
		MessageBox( szTemp );
		m_pDrivesList->InValue() = (CString)m_pDrivesList->GetCurDir();
		}              
	UpdateData( FALSE );
		
		
}

void CDlgVBFList::OnDblclickVbflist1(UINT, int, CWnd*, LPVOID)
{
	CString szTemp;
	szTemp = m_pDirList->OutValue();
	m_pFilesList->InValue() = szTemp;
	UpdateData( FALSE );
	
}


BEGIN_MESSAGE_MAP(CDlgVBFList, CPropertyPage)
	//{{AFX_MSG_MAP(CDlgVBFList)
	ON_COMMAND(IDHELP, OnHelp)
	ON_VBXEVENT(VBN_SELCHANGE, IDC_VBFCOMBO1, OnSelchangeVbfcombo1)
	ON_VBXEVENT(VBN_DBLCLICK, IDC_VBFLIST1, OnDblclickVbflist1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// CDlgVBTabFList dialog


CDlgVBTabFList::CDlgVBTabFList() : CPropertyPage( CDlgVBTabFList::IDD )
{
	//{{AFX_DATA_INIT(CDlgVBTabFList)
	m_pMainList = NULL;
	//}}AFX_DATA_INIT
}

void CDlgVBTabFList::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgVBTabFList)
	DDX_VBTabFList(pDX, IDC_VBTABFLIST1, m_pMainList);
	//}}AFX_DATA_MAP
}

void CDlgVBTabFList::OnHelp()
{
	if ( !bHlpNotHere )
		::WinHelp( m_hWnd, "VBXSTD20.HLP", HELP_KEY, (long)(LPCSTR)"VBTabFList" );
	else
		MessageBox( "VBXSTD20.HLP not in the current directory." );
}


void CDlgVBTabFList::OnFiledroppedVbtabflist1(UINT, int, CWnd*, LPVOID lp)
{
	CString szMsg = "You dropped:\n\n";
for ( int i = 0; i < m_pMainList->EventDroppedFiles( lp ); i++ )
	{
	szMsg += (CString)m_pMainList->DroppedFilename( i );
	szMsg += ".\n";
	}
MessageBox( szMsg );

	
}

BOOL CDlgVBTabFList::OnInitDialog()
{
	CStr szTest;          
	long lSize1;
	CPropertyPage::OnInitDialog();
	
	szTest = "long file name.exe";
	lSize1 = (long)szTest.GetTextWidth( this );
	
	m_pMainList->TabList( lSize1+10, 0 );
	
	m_pMainList->AddString("FILE1.TXT\t(236.365 b.);TXT");
    m_pMainList->AddString("long file name.exe\t<no informations>;EXE");
    m_pMainList->AddString("unknown.ade\t?;ADE");
	m_pMainList->SetSel2() = 0L;
	UpdateData( FALSE );
		
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CDlgVBTabList::OnFiledroppedVbtablist1(UINT, int, CWnd*, LPVOID lp)
{
	CString szMsg = "You dropped:\n\n";
for ( int i = 0; i < m_pMainList->EventDroppedFiles( lp ); i++ )
	{
	szMsg += (CString)m_pMainList->DroppedFilename( i );
	szMsg += ".\n";
	}
MessageBox( szMsg );

}


BEGIN_MESSAGE_MAP(CDlgVBTabFList, CPropertyPage)
	//{{AFX_MSG_MAP(CDlgVBTabFList)
	ON_COMMAND(IDHELP, OnHelp)
	ON_VBXEVENT(VBN_FILEDROPPED, IDC_VBTABFLIST1, OnFiledroppedVbtabflist1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// CDlgVBCombo dialog


CDlgVBCombo::CDlgVBCombo() : CPropertyPage( CDlgVBCombo::IDD )
{
	//{{AFX_DATA_INIT(CDlgVBCombo)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CDlgVBCombo::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgVBCombo)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

void CDlgVBCombo::OnHelp()
{
	if ( !bHlpNotHere )
		::WinHelp( m_hWnd, "VBXSTD20.HLP", HELP_KEY, (long)(LPCSTR)"VBCombo" );
	else
		MessageBox( "VBXSTD20.HLP not in the current directory." );
}


BEGIN_MESSAGE_MAP(CDlgVBCombo, CPropertyPage)
	//{{AFX_MSG_MAP(CDlgVBCombo)
	ON_COMMAND(IDHELP, OnHelp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// CDlgVBFCombo dialog


CDlgVBFCombo::CDlgVBFCombo() : CPropertyPage( CDlgVBFCombo::IDD )
{
	//{{AFX_DATA_INIT(CDlgVBFCombo)
	m_pCombo4 = NULL;
	//}}AFX_DATA_INIT
}

void CDlgVBFCombo::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgVBFCombo)
	DDX_VBFCombo(pDX, IDC_VBFCOMBO4, m_pCombo4);
	//}}AFX_DATA_MAP
}

void CDlgVBFCombo::OnHelp()
{
	if (!bHlpNotHere )
		::WinHelp( m_hWnd, "VBXSTD20.HLP", HELP_KEY, (long)(LPCSTR)"VBFCombo" );
	else
		MessageBox( "VBXSTD20.HLP not in the current directory." );
}

BOOL CDlgVBFCombo::OnInitDialog()
{
	CPropertyPage::OnInitDialog();
	
	UpdateData( FALSE );
	m_pCombo4->AddString("FILE1.TXT (236.365 b.);TXT");
	m_pCombo4->AddString("FILE2.EXE (12.005 b.);EXE");
	m_pCombo4->AddString("FILE3.ADE (352 b.);ADE");
	m_pCombo4->SetSel2() = 0L;

	
	return TRUE;  // return TRUE  unless you set the focus to a control
}



BEGIN_MESSAGE_MAP(CDlgVBFCombo, CPropertyPage)
	//{{AFX_MSG_MAP(CDlgVBFCombo)
	ON_COMMAND(IDHELP, OnHelp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// CDlgVBEdit dialog


CDlgVBEdit::CDlgVBEdit() : CPropertyPage( CDlgVBEdit::IDD )
{
	//{{AFX_DATA_INIT(CDlgVBEdit)
	m_pEdit1 = NULL;
	m_pEdit2 = NULL;
	m_pSpin2 = NULL;
	m_pSpin1 = NULL;
	//}}AFX_DATA_INIT
}

void CDlgVBEdit::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgVBEdit)
	DDX_VBEdit(pDX, IDC_VBEDIT1, m_pEdit1);
	DDX_VBEdit(pDX, IDC_VBEDIT2, m_pEdit2);
	DDX_VBSpin(pDX, IDC_VBSPIN2, m_pSpin2);
	DDX_VBSpin(pDX, IDC_VBSPIN1, m_pSpin1);
	//}}AFX_DATA_MAP
}

void CDlgVBEdit::OnHelp()
{
	if ( !bHlpNotHere )
		::WinHelp( m_hWnd, "VBXSTD20.HLP", HELP_KEY, (long)(LPCSTR)"VBEdit" );
	else
		MessageBox( "VBXSTD20.HLP not in the current directory." );
}

void CDlgVBEdit::OnUpdateVbedit1(UINT, int, CWnd*, LPVOID)
{
	if ( m_pEdit1->IsValid() )
		SetDlgItemText( IDC_STATICEDIT1, "<Valid>" );
	else
		SetDlgItemText( IDC_STATICEDIT1, "<Not Valid>" );
	
}

void CDlgVBEdit::OnUpdateVbedit2(UINT, int, CWnd*, LPVOID)
{
	if ( m_pEdit2->IsValid() )
		SetDlgItemText( IDC_STATICEDIT2, "<Valid>" );
	else
		SetDlgItemText( IDC_STATICEDIT2, "<Not Valid>" );
	
}

void CDlgVBEdit::OnScrollupVbspin1(UINT, int, CWnd*, LPVOID)
{
	m_pEdit1->Increment() = TRUE; 
	m_pSpin1->Value() = 0;  // disable the spin range checking...
	
}

void CDlgVBEdit::OnScrolldnVbspin1(UINT, int, CWnd*, LPVOID)
{
	m_pEdit1->Decrement() = TRUE;	
	m_pSpin1->Value() = 0; // disable the spin range checking...
	
}

void CDlgVBEdit::OnScrollupVbspin2(UINT, int, CWnd*, LPVOID)
{
	m_pEdit2->Increment() = TRUE;
	m_pSpin2->Value() = 0; // disable the spin range checking...
	
}

void CDlgVBEdit::OnScrolldnVbspin2(UINT, int, CWnd*, LPVOID)
{
	m_pEdit2->Decrement() = TRUE;
	m_pSpin2->Value() = 0; // disable the spin range checking...
	
}


BEGIN_MESSAGE_MAP(CDlgVBEdit, CPropertyPage)
	//{{AFX_MSG_MAP(CDlgVBEdit)
	ON_COMMAND(IDHELP, OnHelp)
	ON_VBXEVENT(VBN_UPDATE, IDC_VBEDIT1, OnUpdateVbedit1)
	ON_VBXEVENT(VBN_UPDATE, IDC_VBEDIT2, OnUpdateVbedit2)
	ON_VBXEVENT(VBN_SCROLLUP, IDC_VBSPIN1, OnScrollupVbspin1)
	ON_VBXEVENT(VBN_SCROLLDN, IDC_VBSPIN1, OnScrolldnVbspin1)
	ON_VBXEVENT(VBN_SCROLLUP, IDC_VBSPIN2, OnScrollupVbspin2)
	ON_VBXEVENT(VBN_SCROLLDN, IDC_VBSPIN2, OnScrolldnVbspin2)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// CDlgVBMask dialog


CDlgVBMask::CDlgVBMask() : CPropertyPage( CDlgVBMask::IDD )
{
	//{{AFX_DATA_INIT(CDlgVBMask)
	m_pMask1 = NULL;
	m_szValue = "";
	//}}AFX_DATA_INIT
}

void CDlgVBMask::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgVBMask)
	DDX_VBMask(pDX, IDC_VBMASK1, m_pMask1);
	DDX_VBText(pDX, IDC_VBFLXTXT1, 19, m_szValue);
	//}}AFX_DATA_MAP
}

void CDlgVBMask::OnHelp()
{
	if ( !bHlpNotHere )
		::WinHelp( m_hWnd, "VBXSTD20.HLP", HELP_KEY, (long)(LPCSTR)"VBMask" );
	else
		MessageBox( "VBXSTD20.HLP not in the current directory." );
}

void CDlgVBMask::OnUpdateVbmask1(UINT, int, CWnd*, LPVOID)
{
	CStr szText;
	szText.From( m_pMask1->rValue() );
	m_szValue = szText;
	UpdateData( FALSE );
		
}

                   
BEGIN_MESSAGE_MAP(CDlgVBMask, CPropertyPage)
	//{{AFX_MSG_MAP(CDlgVBMask)
	ON_COMMAND(IDHELP, OnHelp)
	ON_VBXEVENT(VBN_UPDATE, IDC_VBMASK1, OnUpdateVbmask1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// CDlgVBSpin dialog


CDlgVBSpin::CDlgVBSpin() : CPropertyPage( CDlgVBSpin::IDD )
{
	//{{AFX_DATA_INIT(CDlgVBSpin)
	m_pSpinDate = NULL;
	m_pSpinCustom = NULL;
	m_pEditDate = NULL;
	m_pCustomEdit = NULL;
	m_szCustomEdit = "";
	//}}AFX_DATA_INIT
}

void CDlgVBSpin::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgVBSpin)
	DDX_VBSpin(pDX, IDC_VBSPIN4, m_pSpinDate);
	DDX_VBSpin(pDX, IDC_VBSPIN5, m_pSpinCustom);
	DDX_VBEdit(pDX, IDC_VBEDIT3, m_pEditDate);
	DDX_VBEdit(pDX, IDC_VBEDIT4, m_pCustomEdit);
	DDX_VBText(pDX, IDC_VBEDIT4, 41, m_szCustomEdit);
	//}}AFX_DATA_MAP
}

void CDlgVBSpin::OnHelp()
{
	if ( !bHlpNotHere )
		::WinHelp( m_hWnd, "VBXSTD20.HLP", HELP_KEY, (long)(LPCSTR)"VBSpin" );
	else
		MessageBox( "VBXSTD20.HLP not in the current directory." );
}


void CDlgVBSpin::OnScrollupVbspinDate(UINT, int, CWnd*, LPVOID)
{
	m_pSpinDate->Value() = 0;		// we use the VBEdit 'spin' properties instead...
	m_pEditDate->Increment() = TRUE;   // yes, that' s all!

}

void CDlgVBSpin::OnScrolldnVbspinDate(UINT, int, CWnd*, LPVOID)
{
	m_pSpinDate->Value() = 0;		// we use the VBEdit 'spin' properties instead...
	m_pEditDate->Decrement() = TRUE;   // yes, that' s all!
	
}

void CDlgVBSpin::OnScrollupVbspinCustom(UINT, int, CWnd*, LPVOID)
{
	// Now, we are looking for difficulties...
	// we have a look at the edit control text
	if ( m_szCustomEdit == CustomSpinList[0] )
		{
		m_pSpinCustom->Value() += 1;
		m_szCustomEdit = CustomSpinList[1];
		UpdateData( FALSE );                 
		m_pCustomEdit->SetFocus();
		m_pCustomEdit->SetSel2() = TRUE;
		return;
		}
	if ( m_szCustomEdit == CustomSpinList[1] )
		{
		m_pSpinCustom->Value() += 1;
		m_szCustomEdit = CustomSpinList[2];
		UpdateData( FALSE );               
		m_pCustomEdit->SetFocus();
		m_pCustomEdit->SetSel2() = TRUE;
		return;
		}
	m_pSpinCustom->Value() = 2;	// the last one
	m_szCustomEdit = CustomSpinList[2];
	UpdateData( FALSE );
	m_pCustomEdit->SetFocus();
	m_pCustomEdit->SetSel2() = TRUE;
	
}

void CDlgVBSpin::OnScrolldnVbspinCustom(UINT, int, CWnd*, LPVOID)
{
	// Now, we are looking for difficulties...
	// we have a look at the edit control text
	if ( m_szCustomEdit == CustomSpinList[2] )
		{
		m_pSpinCustom->Value() -= 1;
		m_szCustomEdit = CustomSpinList[1];
		UpdateData( FALSE );
		m_pCustomEdit->SetFocus();
		m_pCustomEdit->SetSel2() = TRUE;
		return;
		}
	if ( m_szCustomEdit == CustomSpinList[1] )
		{
		m_pSpinCustom->Value() -= 1;
		m_szCustomEdit = CustomSpinList[0];
		UpdateData( FALSE );
		m_pCustomEdit->SetFocus();
		m_pCustomEdit->SetSel2() = TRUE;
		return;
		}
	m_pSpinCustom->Value() = 0;	// the last one
	m_szCustomEdit = CustomSpinList[0];
	UpdateData( FALSE );
	m_pCustomEdit->SetFocus();
	m_pCustomEdit->SetSel2() = TRUE;
	
}

BOOL CDlgVBSpin::OnInitDialog()
{
	CPropertyPage::OnInitDialog();
	
	m_szCustomEdit = "<Item 1>";
	UpdateData( FALSE );
	return TRUE;  // return TRUE  unless you set the focus to a control
}

BEGIN_MESSAGE_MAP(CDlgVBSpin, CPropertyPage)
	//{{AFX_MSG_MAP(CDlgVBSpin)
	ON_COMMAND(IDHELP, OnHelp)
	ON_VBXEVENT(VBN_SCROLLUP, IDC_VBSPIN4, OnScrollupVbspinDate)
	ON_VBXEVENT(VBN_SCROLLDN, IDC_VBSPIN4, OnScrolldnVbspinDate)
	ON_VBXEVENT(VBN_SCROLLUP, IDC_VBSPIN5, OnScrollupVbspinCustom)
	ON_VBXEVENT(VBN_SCROLLDN, IDC_VBSPIN5, OnScrolldnVbspinCustom)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// CDlgVBLine dialog


CDlgVBLine::CDlgVBLine() : CPropertyPage( CDlgVBLine::IDD )
{
	//{{AFX_DATA_INIT(CDlgVBLine)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CDlgVBLine::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgVBLine)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

void CDlgVBLine::OnHelp()
{
	if ( !bHlpNotHere )
		::WinHelp( m_hWnd, "VBXSTD20.HLP", HELP_KEY, (long)(LPCSTR)"VBLine" );
	else
		MessageBox( "VBXSTD20.HLP not in the current directory." );
}


BEGIN_MESSAGE_MAP(CDlgVBLine, CPropertyPage)
	//{{AFX_MSG_MAP(CDlgVBLine)
	ON_COMMAND(IDHELP, OnHelp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// CDlgVBPicBtn dialog


CDlgVBPicBtn::CDlgVBPicBtn() : CPropertyPage( CDlgVBPicBtn::IDD )
{
	//{{AFX_DATA_INIT(CDlgVBPicBtn)
	m_pColor4 = NULL;
	m_pColor5 = NULL;
	m_pColor6 = NULL;
	m_pColor7 = NULL;
	m_pColor8 = NULL;
	//}}AFX_DATA_INIT
}

void CDlgVBPicBtn::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgVBPicBtn)
	DDX_VBPicBtn(pDX, IDC_VBPICBTN7, m_pColor4);
	DDX_VBPicBtn(pDX, IDC_VBPICBTN5, m_pColor5);
	DDX_VBPicBtn(pDX, IDC_VBPICBTN4, m_pColor6);
	DDX_VBPicBtn(pDX, IDC_VBPICBTN6, m_pColor7);
	DDX_VBPicBtn(pDX, IDC_VBPICBTN8, m_pColor8);
	//}}AFX_DATA_MAP
}

void CDlgVBPicBtn::OnHelp()
{
	if ( !bHlpNotHere )
		::WinHelp( m_hWnd, "VBXSTD20.HLP", HELP_KEY, (long)(LPCSTR)"VBPicBtn" );
	else
		MessageBox( "VBXSTD20.HLP not in the current directory." );
}

void CDlgVBPicBtn::OnClickVbpicbtn1(UINT, int, CWnd*, LPVOID)
{
	if ( m_pColor4->ButtonState() )
		{
		if ( m_pColor5->ButtonState() )
			m_pColor5->SetState() = FALSE;
		if ( m_pColor6->ButtonState() )
			m_pColor6->SetState() = FALSE;
		if ( m_pColor7->ButtonState() )
			m_pColor7->SetState() = FALSE;
		if ( m_pColor8->ButtonState() )
			m_pColor8->SetState() = FALSE;
		}	
	
}

void CDlgVBPicBtn::OnClickVbpicbtn2(UINT, int, CWnd*, LPVOID)
{
	if ( m_pColor5->ButtonState() )
		{
		if ( m_pColor4->ButtonState() )
			m_pColor4->SetState() = FALSE;
		if ( m_pColor6->ButtonState() )
			m_pColor6->SetState() = FALSE;
		if ( m_pColor7->ButtonState() )
			m_pColor7->SetState() = FALSE;
		if ( m_pColor8->ButtonState() )
			m_pColor8->SetState() = FALSE;
		}	
	
}

void CDlgVBPicBtn::OnClickVbpicbtn3(UINT, int, CWnd*, LPVOID)
{
	if ( m_pColor6->ButtonState() )
		{
		if ( m_pColor4->ButtonState() )
			m_pColor4->SetState() = FALSE;
		if ( m_pColor5->ButtonState() )
			m_pColor5->SetState() = FALSE;
		if ( m_pColor7->ButtonState() )
			m_pColor7->SetState() = FALSE;
		if ( m_pColor8->ButtonState() )
			m_pColor8->SetState() = FALSE;
		}	
	
}

void CDlgVBPicBtn::OnClickVbpicbtn4(UINT, int, CWnd*, LPVOID)
{
	if ( m_pColor7->ButtonState() )
		{
		if ( m_pColor4->ButtonState() )
			m_pColor4->SetState() = FALSE;
		if ( m_pColor5->ButtonState() )
			m_pColor5->SetState() = FALSE;
		if ( m_pColor6->ButtonState() )
			m_pColor6->SetState() = FALSE;
		if ( m_pColor8->ButtonState() )
			m_pColor8->SetState() = FALSE;
		}	
	
	
}

void CDlgVBPicBtn::OnClickVbpicbtn5(UINT, int, CWnd*, LPVOID)
{
	if ( m_pColor8->ButtonState() )
		{
		if ( m_pColor4->ButtonState() )
			m_pColor4->SetState() = FALSE;
		if ( m_pColor5->ButtonState() )
			m_pColor5->SetState() = FALSE;
		if ( m_pColor6->ButtonState() )
			m_pColor6->SetState() = FALSE;
		if ( m_pColor7->ButtonState() )
			m_pColor7->SetState() = FALSE;
		}	

	
}


BEGIN_MESSAGE_MAP(CDlgVBPicBtn, CPropertyPage)
	//{{AFX_MSG_MAP(CDlgVBPicBtn)
	ON_COMMAND(IDHELP, OnHelp)
	ON_VBXEVENT(VBN_CLICK, IDC_VBPICBTN7, OnClickVbpicbtn1)
	ON_VBXEVENT(VBN_CLICK, IDC_VBPICBTN5, OnClickVbpicbtn2)
	ON_VBXEVENT(VBN_CLICK, IDC_VBPICBTN4, OnClickVbpicbtn3)
	ON_VBXEVENT(VBN_CLICK, IDC_VBPICBTN6, OnClickVbpicbtn4)
	ON_VBXEVENT(VBN_CLICK, IDC_VBPICBTN8, OnClickVbpicbtn5)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// CDlgVBAnim dialog


CDlgVBAnim::CDlgVBAnim() : CPropertyPage( CDlgVBAnim::IDD )
{
	//{{AFX_DATA_INIT(CDlgVBAnim)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CDlgVBAnim::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgVBAnim)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

void CDlgVBAnim::OnHelp()
{
	if ( !bHlpNotHere )
		::WinHelp( m_hWnd, "VBXSTD20.HLP", HELP_KEY, (long)(LPCSTR)"VBAnim" );
	else
		MessageBox( "VBXSTD20.HLP not in the current directory." );
}


BEGIN_MESSAGE_MAP(CDlgVBAnim, CPropertyPage)
	//{{AFX_MSG_MAP(CDlgVBAnim)
	ON_COMMAND(IDHELP, OnHelp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// CDlgVBBitmap dialog


CDlgVBBitmap::CDlgVBBitmap() : CPropertyPage( CDlgVBBitmap::IDD )
{
	//{{AFX_DATA_INIT(CDlgVBBitmap)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CDlgVBBitmap::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgVBBitmap)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

void CDlgVBBitmap::OnHelp()
{
	if ( !bHlpNotHere )
		::WinHelp( m_hWnd, "VBXSTD20.HLP", HELP_KEY, (long)(LPCSTR)"VBBitmap" );
	else
		MessageBox( "VBXSTD20.HLP not in the current directory." );
}


BEGIN_MESSAGE_MAP(CDlgVBBitmap, CPropertyPage)
	//{{AFX_MSG_MAP(CDlgVBBitmap)
	ON_COMMAND(IDHELP, OnHelp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// CDlgVBTab dialog


CDlgVBTab::CDlgVBTab() : CPropertyPage( CDlgVBTab::IDD )
{
	//{{AFX_DATA_INIT(CDlgVBTab)
	m_pTab1 = NULL;
	m_pTab2 = NULL;
	m_pTab3 = NULL;
	m_pTab4 = NULL;
	m_pTab5 = NULL;
	m_pTab6 = NULL;
	m_szText = "";
	//}}AFX_DATA_INIT
}

void CDlgVBTab::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgVBTab)
	DDX_VBTab(pDX, IDC_VBTAB1, m_pTab1);
	DDX_VBTab(pDX, IDC_VBTAB2, m_pTab2);
	DDX_VBTab(pDX, IDC_VBTAB3, m_pTab3);
	DDX_VBTab(pDX, IDC_VBTAB4, m_pTab4);
	DDX_VBTab(pDX, IDC_VBTAB5, m_pTab5);
	DDX_VBTab(pDX, IDC_VBTAB6, m_pTab6);
	DDX_VBText(pDX, IDC_VBTEXT12, 20, m_szText);
	//}}AFX_DATA_MAP
}

void CDlgVBTab::OnHelp()
{
	if ( !bHlpNotHere )
		::WinHelp( m_hWnd, "VBXSTD20.HLP", HELP_KEY, (long)(LPCSTR)"VBTab" );
	else
		MessageBox( "VBXSTD20.HLP not in the current directory." );
}


void CDlgVBTab::OnClickVbtab1(UINT, int, CWnd*, LPVOID)
{
	HandleTheTab();
	
}

void CDlgVBTab::OnClickVbtab2(UINT, int, CWnd*, LPVOID)
{
	HandleTheTab();
	
}

void CDlgVBTab::OnClickVbtab3(UINT, int, CWnd*, LPVOID)
{
	HandleTheTab();
	
}

void CDlgVBTab::OnClickVbtab4(UINT, int, CWnd*, LPVOID)
{
	HandleTheTab();
	
}

void CDlgVBTab::OnClickVbtab5(UINT, int, CWnd*, LPVOID)
{
	HandleTheTab();
	
}

void CDlgVBTab::OnClickVbtab6(UINT, int, CWnd*, LPVOID)
{
	HandleTheTab();
	
}

BOOL CDlgVBTab::OnInitDialog()
{
	CPropertyPage::OnInitDialog();
	
	UpdateData( FALSE );
	m_szText = "You are on the first panel.";
	m_pTab1->Active() = TRUE;
	HandleTheTab();
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CDlgVBTab::HandleTheTab()
	{
	UINT iTrueValue;            
	CString szCurrent;
	if ( m_pTab1->Active() )
		iTrueValue = IDC_VBTAB1;
	else if ( m_pTab2->Active() )
		iTrueValue = IDC_VBTAB2;
	else if ( m_pTab3->Active() )
		iTrueValue = IDC_VBTAB3;
	else if ( m_pTab4->Active() )
		iTrueValue = IDC_VBTAB4;
	else if ( m_pTab5->Active() )
		iTrueValue = IDC_VBTAB5;
	else if ( m_pTab6->Active() )
		iTrueValue = IDC_VBTAB6;
	else
		iTrueValue = IDC_VBTAB1;
	
	switch ( iTrueValue )
		{
		case IDC_VBTAB1: szCurrent = (CString)m_pTab1->Caption(); break;
		case IDC_VBTAB2: szCurrent = (CString)m_pTab2->Caption(); break;
		case IDC_VBTAB3: szCurrent = (CString)m_pTab3->Caption(); break;
		case IDC_VBTAB4: szCurrent = (CString)m_pTab4->Caption(); break;
		case IDC_VBTAB5: szCurrent = (CString)m_pTab5->Caption(); break;
		case IDC_VBTAB6: szCurrent = (CString)m_pTab6->Caption(); break;
		}
	
	if ( szCurrent == "Tab&1" )
		{
		m_szText = "You are on the first page.";
		}
	else if ( szCurrent == "Tab&2" )
		{
		m_szText = "You are on the page 2.";
		}
	else if ( szCurrent == "Tab&3" )
		{
		m_szText = "You are on the page 3.";
		}
	else if ( szCurrent == "Tab&4" )
		{
		m_szText = "You are on the page 4.";
		}
	else if ( szCurrent == "Tab&5" )
		{
		m_szText = "You are on the page 5.";
		}
	else if ( szCurrent == "Tab&6" )
		{
		m_szText = "You are on the page 6.";
		}
	UpdateData( FALSE );
	}                   

BEGIN_MESSAGE_MAP(CDlgVBTab, CPropertyPage)
	//{{AFX_MSG_MAP(CDlgVBTab)
	ON_COMMAND(IDHELP, OnHelp)
	ON_VBXEVENT(VBN_CLICK, IDC_VBTAB1, OnClickVbtab1)
	ON_VBXEVENT(VBN_CLICK, IDC_VBTAB2, OnClickVbtab2)
	ON_VBXEVENT(VBN_CLICK, IDC_VBTAB3, OnClickVbtab3)
	ON_VBXEVENT(VBN_CLICK, IDC_VBTAB4, OnClickVbtab4)
	ON_VBXEVENT(VBN_CLICK, IDC_VBTAB5, OnClickVbtab5)
	ON_VBXEVENT(VBN_CLICK, IDC_VBTAB6, OnClickVbtab6)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// CDlgVBText dialog


CDlgVBText::CDlgVBText() : CPropertyPage( CDlgVBText::IDD )
{
	//{{AFX_DATA_INIT(CDlgVBText)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CDlgVBText::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgVBText)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

void CDlgVBText::OnHelp()
{
	if ( !bHlpNotHere )
		::WinHelp( m_hWnd, "VBXSTD20.HLP", HELP_KEY, (long)(LPCSTR)"VBText" );
	else
		MessageBox( "VBXSTD20.HLP not in the current directory." );
}


BEGIN_MESSAGE_MAP(CDlgVBText, CPropertyPage)
	//{{AFX_MSG_MAP(CDlgVBText)
	ON_COMMAND(IDHELP, OnHelp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// CDlgVBFlxTxt dialog


CDlgVBFlxTxt::CDlgVBFlxTxt() : CPropertyPage( CDlgVBFlxTxt::IDD )
{
	//{{AFX_DATA_INIT(CDlgVBFlxTxt)
	m_pTabText = NULL;
	//}}AFX_DATA_INIT
}

void CDlgVBFlxTxt::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgVBFlxTxt)
	DDX_VBFlxTxt(pDX, IDC_VBFLXTXT3, m_pTabText);
	//}}AFX_DATA_MAP
}

void CDlgVBFlxTxt::OnHelp()
{
	if ( !bHlpNotHere )
		::WinHelp( m_hWnd, "VBXSTD20.HLP", HELP_KEY, (long)(LPCSTR)"VBFlxTxt" );
	else
		MessageBox( "VBXSTD20.HLP not in the current directory." );
}

BOOL CDlgVBFlxTxt::OnInitDialog()
{
	CPropertyPage::OnInitDialog();
	CStr szTest;          
	long lSize1, lSize2;
	
	szTest = "Item1";
	lSize1 = (long)szTest.GetTextWidth( this );
	
	szTest = "Item2";
	lSize2 = (long)szTest.GetTextWidth( this );
	
	m_pTabText->TabList( lSize1+10, 0 );
	m_pTabText->TabList( lSize1+40+lSize2, 1 );
	m_pTabText->Caption() = "Item1\tItem2\tItem3";
	UpdateData( FALSE );
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}


BEGIN_MESSAGE_MAP(CDlgVBFlxTxt, CPropertyPage)
	//{{AFX_MSG_MAP(CDlgVBFlxTxt)
	ON_COMMAND(IDHELP, OnHelp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// CDlgVB3D dialog


CDlgVB3D::CDlgVB3D() : CPropertyPage( CDlgVB3D::IDD )
{
	//{{AFX_DATA_INIT(CDlgVB3D)
	m_p3D = NULL;
	//}}AFX_DATA_INIT
}

void CDlgVB3D::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgVB3D)
	DDX_VB3D(pDX, IDC_VB3D1, m_p3D);
	//}}AFX_DATA_MAP
}

void CDlgVB3D::OnHelp()
{
	if ( !bHlpNotHere )
		::WinHelp( m_hWnd, "VBXSTD20.HLP", HELP_KEY, (long)(LPCSTR)"VB3D" );
	else
		MessageBox( "VBXSTD20.HLP not in the current directory." );
}

BOOL CDlgVB3D::OnInitDialog()
{
	CPropertyPage::OnInitDialog();
	
	// TODO: Add extra initialization here

	m_p3D->GetVBX()->AddItem("Edit", 0);
	SetDlgItemText( IDC_EDIT1, "This is a standard Edit control..." );
		
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CDlgVB3D::OnPaint()
{
	CPaintDC dc(this); // device context for painting
	m_p3D->GetVBX()->Refresh(); // required with VC++
	
	// TODO: Add your message handler code here
	
	// Do not call CPropertyPage::OnPaint() for painting messages
}

BEGIN_MESSAGE_MAP(CDlgVB3D, CPropertyPage)
	//{{AFX_MSG_MAP(CDlgVB3D)
	ON_COMMAND(IDHELP, OnHelp)
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// CDlgVBNote dialog


CDlgVBNote::CDlgVBNote() : CPropertyPage( CDlgVBNote::IDD )
{
	//{{AFX_DATA_INIT(CDlgVBNote)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CDlgVBNote::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgVBNote)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

void CDlgVBNote::OnHelp()
{
	if ( !bHlpNotHere )
		::WinHelp( m_hWnd, "VBXSTD20.HLP", HELP_KEY, (long)(LPCSTR)"VBNote" );
	else
		MessageBox( "VBXSTD20.HLP not in the current directory." );
}


BEGIN_MESSAGE_MAP(CDlgVBNote, CPropertyPage)
	//{{AFX_MSG_MAP(CDlgVBNote)
	ON_COMMAND(IDHELP, OnHelp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// CDlgVBFInfo dialog


CDlgVBFInfo::CDlgVBFInfo() : CPropertyPage( CDlgVBFInfo::IDD )
{
	//{{AFX_DATA_INIT(CDlgVBFInfo)
	m_pFInfo = NULL;
	m_szFIFileName = "";
	m_szFISize = "";
	m_szFIDate = "";
	m_szPName = "";
	m_szVersion = "";
	m_szCopyright = "";
	m_szAttributes = "";
	//}}AFX_DATA_INIT
}

void CDlgVBFInfo::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgVBFInfo)
	DDX_VBFInfo(pDX, IDC_VBFINFO1, m_pFInfo);
	DDX_VBText(pDX, IDC_VBFLXTXT1, 19, m_szFIFileName);
	DDX_VBText(pDX, IDC_VBFLXTXT3, 19, m_szFISize);
	DDX_VBText(pDX, IDC_VBFLXTXT4, 19, m_szFIDate);
	DDX_VBText(pDX, IDC_VBFLXTXT6, 19, m_szPName);
	DDX_VBText(pDX, IDC_VBFLXTXT7, 19, m_szVersion);
	DDX_VBText(pDX, IDC_VBFLXTXT8, 19, m_szCopyright);
	DDX_VBText(pDX, IDC_VBFLXTXT5, 19, m_szAttributes);
	//}}AFX_DATA_MAP
}

void CDlgVBFInfo::OnHelp()
{
	if (!bHlpNotHere )
		::WinHelp( m_hWnd, "VBXSTD20.HLP", HELP_KEY, (long)(LPCSTR)"VBFInfo" );
	else
		MessageBox( "VBXSTD20.HLP not in the current directory." );
}

void CDlgVBFInfo::OnButton1()
{
	// TODO: Add your control notification handler code here
	CStr szTemp;
	m_pFInfo->FileName() = "?";
	
	m_szFIFileName = m_pFInfo->FileName();
	szTemp.sprintf( "%ld bytes.", (long)m_pFInfo->Size() );
	m_szFISize = szTemp;
	szTemp.sprintf( "%.02d/%.02d/%.04d.", (int)m_pFInfo->DateMonth(), (int)m_pFInfo->DateDay(), (int)m_pFInfo->DateYear() );
	m_szFIDate = szTemp;
	szTemp.sprintf( "%s.%s.%s.%s", 
			m_pFInfo->Archive() != 0 ? "a" : " ",
			m_pFInfo->Hidden() != 0 ? "h" : " ",
			m_pFInfo->System() != 0 ? "s" : " ",
			m_pFInfo->ReadOnly() != 0 ? "r" : " " );
	m_szAttributes = szTemp;
	m_szPName = m_pFInfo->VersionProductName();
	m_szVersion = m_pFInfo->szVersion();
	m_szCopyright = m_pFInfo->VersionCopyright();
	UpdateData( FALSE );
	
}

BEGIN_MESSAGE_MAP(CDlgVBFInfo, CPropertyPage)
	//{{AFX_MSG_MAP(CDlgVBFInfo)
	ON_COMMAND(IDHELP, OnHelp)
	ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// CDlgVBIni dialog


CDlgVBIni::CDlgVBIni() : CPropertyPage( CDlgVBIni::IDD )
{
	//{{AFX_DATA_INIT(CDlgVBIni)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CDlgVBIni::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgVBIni)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

void CDlgVBIni::OnHelp()
{
	if ( !bHlpNotHere )
		::WinHelp( m_hWnd, "VBXSTD20.HLP", HELP_KEY, (long)(LPCSTR)"VBIni" );
	else
		MessageBox( "VBXSTD20.HLP not in the current directory." );
}


BEGIN_MESSAGE_MAP(CDlgVBIni, CPropertyPage)
	//{{AFX_MSG_MAP(CDlgVBIni)
	ON_COMMAND(IDHELP, OnHelp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// CDlgVBGauge dialog


CDlgVBGauge::CDlgVBGauge() : CPropertyPage( CDlgVBGauge::IDD )
{
	//{{AFX_DATA_INIT(CDlgVBGauge)
	m_pGauge = NULL;
	m_pSpin = NULL;
	//}}AFX_DATA_INIT
}

void CDlgVBGauge::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgVBGauge)
	DDX_VBGauge(pDX, IDC_VBGAUGE3, m_pGauge);
	DDX_VBSpin(pDX, IDC_VBSPIN1, m_pSpin);
	//}}AFX_DATA_MAP
}

void CDlgVBGauge::OnHelp()
{
	if ( !bHlpNotHere )
		::WinHelp( m_hWnd, "VBXSTD20.HLP", HELP_KEY, (long)(LPCSTR)"VBGauge" );
	else
		MessageBox( "VBXSTD20.HLP not in the current directory." );
}

void CDlgVBGauge::OnScrollupVbspin1(UINT, int, CWnd*, LPVOID)
{
	m_pSpin->Value() = 0;
	if ( m_pGauge->Value() < 96 )
		{
		m_pGauge->Value() += 5;
		UpdateData( FALSE );
		m_pGauge->GetVBX()->Refresh();      // required when use with VC++
		AfxGiveTheHand();
		}
	
}

void CDlgVBGauge::OnScrolldnVbspin1(UINT, int, CWnd*, LPVOID)
{
	m_pSpin->Value() = 0;
	if ( m_pGauge->Value() > 4 )
		{
		m_pGauge->Value() -= 5;
		UpdateData( FALSE );
		m_pGauge->GetVBX()->Refresh();		// required when use with VC++
		AfxGiveTheHand();
		}

}


BEGIN_MESSAGE_MAP(CDlgVBGauge, CPropertyPage)
	//{{AFX_MSG_MAP(CDlgVBGauge)
	ON_COMMAND(IDHELP, OnHelp)
	ON_VBXEVENT(VBN_SCROLLUP, IDC_VBSPIN1, OnScrollupVbspin1)
	ON_VBXEVENT(VBN_SCROLLDN, IDC_VBSPIN1, OnScrolldnVbspin1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// CDlgVBOverview dialog


CDlgVBOverview::CDlgVBOverview() : CPropertyPage( CDlgVBOverview::IDD )
{
	//{{AFX_DATA_INIT(CDlgVBOverview)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CDlgVBOverview::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgVBOverview)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

void CDlgVBOverview::OnHelp()
{
	if ( !bHlpNotHere )
		::WinHelp( m_hWnd, "VBXSTD20.HLP", HELP_KEY, (long)(LPCSTR)"Overview" );
	else
		MessageBox( "VBXSTD20.HLP not in the current directory." );
}


BEGIN_MESSAGE_MAP(CDlgVBOverview, CPropertyPage)
	//{{AFX_MSG_MAP(CDlgVBOverview)
	ON_COMMAND(IDHELP, OnHelp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// CDlgVBDDrop dialog


CDlgVBDDrop::CDlgVBDDrop() : CPropertyPage( CDlgVBDDrop::IDD )
{
	//{{AFX_DATA_INIT(CDlgVBDDrop)
	m_pDDrop = NULL;
	//}}AFX_DATA_INIT
}

void CDlgVBDDrop::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgVBDDrop)
	DDX_VBDDrop(pDX, IDC_VBDDROP1, m_pDDrop);
	//}}AFX_DATA_MAP
}

void CDlgVBDDrop::OnHelp()
{
	if ( !bHlpNotHere )
		::WinHelp( m_hWnd, "VBXSTD20.HLP", HELP_KEY, (long)(LPCSTR)"VBDDrop" );
	else
		MessageBox( "VBXSTD20.HLP not in the current directory." );
}

void CDlgVBDDrop::OnFiledroppedVbddrop1(UINT, int, CWnd*, LPVOID lp)
{
	CString szMsg = "You dropped:\n\n";
for ( int i = 0; i < m_pDDrop->EventDroppedFiles( lp ); i++ )
	{
	szMsg += (CString)m_pDDrop->Filename( i );
	szMsg += ".\n";
	}
MessageBox( szMsg );

	
}


BEGIN_MESSAGE_MAP(CDlgVBDDrop, CPropertyPage)
	//{{AFX_MSG_MAP(CDlgVBDDrop)
	ON_COMMAND(IDHELP, OnHelp)
	ON_VBXEVENT(VBN_FILEDROPPED, IDC_VBDDROP1, OnFiledroppedVbddrop1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


